#ifndef B_CONST_MEM_H_
#define B_CONST_MEM_H_

#define CONST_MEM_BASE     0x10000000

#define USB_MODE_HEAP_SIZE     0x800
#define NORMAL_MODE_HEAP_SIZE  0x1750

#define USB_HW_MEM_SIZE     2048
#define USB_MSC_MEM_SIZE    256
#define USB_WORK_BUF_SIZE   512
#define USB_MEM_TOTAL_SIZE  (USB_HW_MEM_SIZE + USB_MSC_MEM_SIZE + USB_WORK_BUF_SIZE)

#define USB_HW_MEM_BASE    (CONST_MEM_BASE)
#define USB_MSC_MEM_BASE   (USB_HW_MEM_BASE + USB_HW_MEM_SIZE)
#define USB_WORK_BUF_BASE  (USB_MSC_MEM_BASE + USB_MSC_MEM_SIZE)

#define USB_CONST_MEM_SIZE      (USB_MODE_HEAP_SIZE + USB_MEM_TOTAL_SIZE)
#define NORMAL_CONST_MEM_SIZE   (NORMAL_MODE_HEAP_SIZE)
#if (USB_CONST_MEM_SIZE > NORMAL_CONST_MEM_SIZE)
#error "hoe"
#define CONST_MEM_SIZE   USB_CONST_MEM_SIZE
#else
#define CONST_MEM_SIZE   NORMAL_CONST_MEM_SIZE
#endif

///////////////////////////////////////////////////////////////

#define USB_RAM_BASE       0x20004000

#define SOUND_BUF_SIZE     0x400

#define SOUND_BUF_BASE     (USB_RAM_BASE)

#define USB_RAM_SIZE       (SOUND_BUF_SIZE)

void SetupNormalModeHeap(void);
void SetupUsbModeHeap(void);
void InitializeConstMem(void);

#endif
