#ifndef B_GPS_H_
#define B_GPS_H_

typedef struct {
  uint8_t yearBase2000;
  uint8_t mon;
  uint8_t day;
  uint8_t hour;
  uint8_t min;
  uint8_t sec;
} GPS_TIME;

#define GPS_EVENT_BIT      0x10
#define GPS_EVENT_ACTIVE   (0x00 | GPS_EVENT_BIT)   // ʉ\ԂɑJ
#define GPS_EVENT_INACTIVE (0x01 | GPS_EVENT_BIT)   //     sԂɑJ
#define GPS_EVENT_UPDATE   (0x02 | GPS_EVENT_BIT)   // XV

bool IsGPSActive(void);
void GetGPSLatLng(double *lat, double *lng);
float GetGPSSpeed(void);
void GetGPSTime(GPS_TIME* tm);
int GetGPSTimestamp(void);
int DiffGPSTimestamp(int old, int new);
double CalcGPSDistance(double latA, double lngA,
                       double latB, double lngB);
void ChangeGPSUpdateInterval(uint8_t sec);
void InitializeGPS(xQueueHandle queue);

#endif

