// -*- Encoding: UTF-8 -*-
#ifndef B_PITCH_ADJUST_H_
#define B_PITCH_ADJUST_H_


#define TICK_INFO_VALID          0x01
#define STEP_INFO_VALID          0x02
#define TIMESTAMP_INFO_VALID     0x04
#define LAT_LNG_INFO_VALID       0x08
#define NEEDED_INFO_MASK         (TICK_INFO_VALID | STEP_INFO_VALID | LAT_LNG_INFO_VALID)
typedef struct {
  uint8_t valid;
  uint32_t tick;
  uint32_t stepCount;
  uint32_t timestamp;
  double lat;
  double lng;
} GPS_STEP_INFO;

void UpdateGPSStepInfo(GPS_STEP_INFO *info);
bool IsNeededInfoValid(GPS_STEP_INFO *info);
int CalcStepInterval(GPS_STEP_INFO *prev, GPS_STEP_INFO *new);
int CalcPreferedStepInterval(int currentStepInterval,
                             GPS_STEP_INFO *prev, GPS_STEP_INFO *new,
                             int *diffArrivalTime);


#endif
