// -*- Encoding: UTF-8 -*-
#include "FreeRTOSCommon.h"
#include "Sound.h"
#include "Speech.h"
#include <stdio.h>

static void SpeakOneDigit(int num)
{
  char fname[16];
  sprintf(fname, "n/%d.wav", num);
  PlaySoundInSD(fname, portMAX_DELAY);
}

void SpeakNumber(int num)
{
  // 10000未満の数が対象
  int digit;
  int digitValue;

  digit = num / 1000;
  if (digit) {
    digitValue = digit * 1000;
    SpeakOneDigit(digitValue);
    num -= digitValue;
  }

  digit = num / 100;
  if (digit) {
    digitValue = digit * 100;
    SpeakOneDigit(digitValue);
    num -= digitValue;
  }

  digit = num / 10;
  if (digit) {
    digitValue = digit * 10;
    SpeakOneDigit(digitValue);
    num -= digitValue;
  }
  
  if (num) {  
    SpeakOneDigit(num);
  }
  
}

void SpeakBpm(int bpm)
{
  SpeakNumber(bpm);
  PlaySoundInSD("u/bpm.wav", portMAX_DELAY);
}

void SpeakPlusMinus(int v)
{
  if (v > 0) {
    PlaySoundInSD("u/plus.wav", portMAX_DELAY);
  } else if (v < 0) {
    PlaySoundInSD("u/minus.wav", portMAX_DELAY);
  }
}
void SpeakTimestamp(int timestamp)
{
  int min;
  int sec;
  
  min = timestamp / 60;
  sec = timestamp % 60;
  
  if (min) {
    SpeakNumber(min);
    PlaySoundInSD("u/min.wav", portMAX_DELAY);
  }
  if (sec) {
    SpeakNumber(sec);
    PlaySoundInSD("u/sec.wav", portMAX_DELAY);
  }
}
