#include "mw_usbd_rom_api.h"
#include "app_usbd_cfg.h"

const uint8_t gUsbDeviceDescriptor[] = {
  USB_DEVICE_DESC_SIZE,          // bLength
  USB_DEVICE_DESCRIPTOR_TYPE,    // bDescriptorType
  WBVAL(0x0200),                 // bcdUSB
  0x00,                          // bDeviceClass
  0x00,                          // bDeviceSubClass
  0x00,                          // bDeviceProtocol
  USB_MAX_PACKET0,               // bMaxPacketSize0
  WBVAL(0x6666),                 // idVendor
  WBVAL(0x2838),                 // idProduct
  WBVAL(0x0100),                 // bcdDevice
  0x01,                          // iManufacturer
  0x02,                          // iProduct
  0x00,                          // iSerialNumber
  0x01                           // bNumConfigurations
};


const uint8_t gUsbConfigurationDescriptor[] = {
  /////////////////
  // Configuration
  USB_CONFIGUARTION_DESC_SIZE,        // bLength
  USB_CONFIGURATION_DESCRIPTOR_TYPE,  // bDescriptorType
  WBVAL(USB_CONFIGUARTION_DESC_SIZE
        + USB_INTERFACE_DESC_SIZE
        + (USB_ENDPOINT_DESC_SIZE * 2)), // wTotalLength
  0x01,                               // bNumInterfaces
  0x01,                               // bConfigurationValue
  0x00,                               // iConfiguration
  USB_CONFIG_SELF_POWERED,            // bmAttributes
  USB_CONFIG_POWER_MA(200),           // bMaxPower
  ////////////////
  // Interface
  USB_INTERFACE_DESC_SIZE,            // bLength
  USB_INTERFACE_DESCRIPTOR_TYPE,      // bDescriptorType
  0x00,                               // bInterfaceNumber
  0x00,                               // bAlternateSetting
  0x02,                               // bNumEndpoints
  USB_DEVICE_CLASS_STORAGE,           // bInterfaceClass
  MSC_SUBCLASS_SCSI,                  // bInterfaceSubClass
  MSC_PROTOCOL_BULK_ONLY,             // bInterfaceProtocol
  0x00,                               // iInterface
  ///////////////
  // EndPoint (Bulk In)
  USB_ENDPOINT_DESC_SIZE,             // bLength
  USB_ENDPOINT_DESCRIPTOR_TYPE,       // bDescriptorType
  MSC_EP_IN,                          // bEndpointAddress
  USB_ENDPOINT_TYPE_BULK,             // bmAttributes
  WBVAL(USB_FS_MAX_BULK_PACKET),      // wMaxPacketSize
  0,                                  // bInterval
  ///////////////
  // EndPoint (Bulk Out)
  USB_ENDPOINT_DESC_SIZE,             // bLength
  USB_ENDPOINT_DESCRIPTOR_TYPE,       // bDescriptorType
  MSC_EP_OUT,                         // bEndpointAddress
  USB_ENDPOINT_TYPE_BULK,             // bmAttributes
  WBVAL(USB_FS_MAX_BULK_PACKET),      // wMaxPacketSize
  0,                                  // bInterva
  ///////////////
  // Terminator
  0
};

const uint8_t gUsbStringDescriptor[] = {
  // Index[0] LANG ID
  0x04,
  USB_STRING_DESCRIPTOR_TYPE,
  WBVAL(0x0409), // US English
  // Index[1] : iManufacturer
  (2 + 9 * 2),
  USB_STRING_DESCRIPTOR_TYPE,
  'd', 0,
  '-', 0,
  'r', 0,
  'i', 0,
  's', 0,
  's', 0,
  'o', 0,
  'k', 0,
  'u', 0,
  // Index[2] : iProduct
  (2 + 4 * 2),
  USB_STRING_DESCRIPTOR_TYPE,
  'j', 0,
  'u', 0,
  's', 0,
  't', 0
};
